---
date: 2020-01-11
title: In the United States Public Sector
description: The United States Department Homeland Security has been the source of a considerable amount of funding for effort to create next-gen decentralized id infrastructure.
excerpt: "The DHS Science and Technology Directorate (S&T) Silicon Valley Innovation Program (SVIP) is keeping pace with the innovation community to tackle the hardest problems faced by DHS and the Homeland Security Enterprise. SVIP expands DHS S&T’s reach to find new technologies that strengthen national security with the goal of reshaping how government, entrepreneurs, and industry work together to find cutting-edge solutions."
permalink: /government/usa/
canonical_url: 'https://decentralized-id.com/government/usa/'
categories: ["Blockchain","Government"]
tags: ["DHS", "SBIR", "SVIP", "Evernym", "Digital Bazaar","Danube","Learning Machine","Respect Network"]
last_modified_at: 2020-01-11
---


## Department Homeland Security (DHS)

![](https://i.imgur.com/3VcdVUH.png)

* [Silicon Valley Innovation Program](https://www.dhs.gov/science-and-technology/svip)
  > The DHS Science and Technology Directorate (S&T) Silicon Valley Innovation Program (SVIP) is keeping pace with the innovation community to tackle the hardest problems faced by DHS and the Homeland Security Enterprise. SVIP expands DHS S&T’s reach to find new technologies that strengthen national security with the goal of reshaping how government, entrepreneurs, and industry work together to find cutting-edge solutions. Based in California’s Silicon Valley, the program reaches out to innovation communities across the nation and around the world to harness the commercial R&D ecosystem for technologies with government applications and to co-invest in and accelerate technology transition-to-market.
* [Small Business Innovation Research Program](https://www.dhs.gov/science-and-technology/sbir)
* [Homeland Security Small Business Innovation Research (SBIR) Program Portal](https://sbir2.st.dhs.gov/portal/SBIR/)
  > The DHS S&T SBIR Program was initiated in 2004 with the goal of increasing the participation of innovative and creative U.S. small businesses in federal research and development programs and challenging industry to bring innovative homeland security solutions to reality.
  > 
  > Solicitation topics are developed by Program Managers in each of the Science and Technology (S&T) Divisions. The annual solicitations consist of topics relevant to the following S&T Directorate organizations: Borders and Maritime Security, Chemical/Biological Defense, Cyber Security, Explosives, and the First Responder Group.
  > 
  > Similar to the R&D programs of the S&T Directorate, the SBIR topics generally address the needs of the seven DHS Operational Units, i.e., U.S. Coast Guard, U.S. Transportation Security Administration, U.S. Customs and Border Protection, Federal Emergency Management Agency, U.S. Citizenship and Immigration Services, U.S. Immigration and Customs Enforcement, and U.S. Secret Service, as well as First Responders.


### 2016 - 2018
* [U.S. Department of Homeland Security funds four blockchain companies developing new cyber security technology](https://bravenewcoin.com/insights/u-s-department-of-homeland-security-funds-four-blockchain-companies-developing-new-cyber-security-technology) - 2016
  > The U.S. Department of Homeland Security, Science and Technology Directorate, recently [unveiled](https://www.dhs.gov/science-and-technology/news/2016/08/12/news-release-dhs-st-awards-13-million-small-businesses-cyber) a list of 13 small businesses working towards “the development of new cyber security technology.” The companies are part of the 2016 Small Business Innovation Research program. Each was awarded approximately $100,000 in funding, for a total of $1.3 million, and four are using blockchains in their product.
* [US Department of Homeland Security Talks Blockchain R&D - CoinDesk](https://www.coindesk.com/department-of-homeland-security-blockchain) - 2016
  > For DHS use cases, the projects we’re funding are focused on proving or disproving that security and privacy can be supported by a blockchain-based infrastructure. It is much broader than IoT and identity.”
  > 
  > In addition to Factom, projects like Solarity Solutions, Respect Network and Digital Bazaar have received funding to explore concepts related to proving the DHS’s hypotheses. As such, John’s part of the agency is not alone in supporting this exploration.
* [DID Specification WD03](https://github.com/WebOfTrustInfo/rwot3-sf/blob/master/did-spec-wd03.md) Working Draft 03, 17 October 2016
  > Note: Work on this specification has been funded in part by the United States Department of Homeland Security's Science and Technology Directorate under contract HSHQDC-16-R00012-H-SB2016-1-002. The content of this specification does not necessarily reflect the position or the policy of the U.S. Government and no official endorsement should be inferred.
* [News Release: DHS S&T Awards $749K to Evernym for Decentralized Key Management Research and Development](https://www.dhs.gov/science-and-technology/news/2017/07/20/news-release-dhs-st-awards-749k-evernym-decentralized-key)
  > WASHINGTON—The Department of Homeland Security (DHS) Science and Technology Directorate (S&T) has awarded Salt Lake City-based startup Evernym a $749,000 Small Business Innovation Program (SBIR) award to develop an easy-to-use, decentralized mechanism for managing public and private keys needed for the secure and scalable deployment of blockchain technologies.
  > 
  > Under the SBIR Phase II contract, Evernym will design and implement a decentralized key management system (DKMS) for blockchain technologies based on National Institute of Standards and Technology Special Publication 800-130, titled “[A Framework for Designing Key Management Systems](https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-130.pdf).” The research project is being managed by the S&T Cyber Security Division’s (CSD) Identity Management project.

### 2019 - Current
* [U.S. Homeland Security to hold biometrics for 259M people by 2022 and seeks new capabilities](https://www.biometricupdate.com/201911/u-s-homeland-security-to-hold-biometrics-for-259m-people-by-2022-and-seeks-new-capabilities) - 2019
  > According to the industry day presentation, DHS is seeking new Biometric Support Center (BSC) examination tools for multimodal biometric analysis, an interoperable and scalable web-based portal for HART, new reporting and analytics capabilities, mobile applications, and matching capabilities for contactless fingerprints, palm prints, scars, marks, and tattoos (SMT), voice, DNA, and other modalities.
* [DHS Awards $199K for Blockchain Credential Lifecycle Management](https://www.newswise.com/articles/dhs-awards-199k-for-blockchain-credential-lifecycle-management)
  > Newswise — WASHINGTON – The Department of Homeland Security (DHS) Science and Technology Directorate (S&T) has awarded $199,984.00 to Digital Bazaar based in Blacksburg, Virginia, to develop blockchain security technology. The Phase 1 award was made under S&T’s Silicon Valley Innovation Program (SVIP) Other Transaction Solicitation Preventing Forgery & Counterfeiting of Certificates and Licenses seeking blockchain and distributed ledger technology (DLT) solutions to fulfill a common need across DHS missions.
* [DHS Silicon Valley Program Makes Two Awards for Digital Credentials Management](https://www.nextgov.com/cybersecurity/2019/11/dhs-silicon-valley-program-makes-two-awards-digital-credentials-management/161368/)
  > “The ability of credential issuers to transition from paper-based to digital credentials without reengineering current processes and systems is a critical aspect of incorporating innovative technologies with current systems.” Anil John, SVIP technical director, said in the announcement. “SIPCA’s work will allow physical and digital credentials to coexist while enabling broad interoperability based on emerging World Wide Web Consortium standards such as decentralized identifiers and verifiable credentials.”
* [Department of Homeland Security Awards $200K to Develop Blockchain Security Tech](https://cointelegraph.com/news/department-of-homeland-security-awards-200k-to-develop-blockchain-security-tech)
  > The United States Department of Homeland Security (DHS) has awarded Virginia-based Digital Bazaar $199,984 to develop its blockchain security technology, according to a press release, Nov. 14.
  > 
  > The Department’s Science and Technology Directorate (S&T) made the Phase 1 award, as it explores blockchain and distributed ledger technology (DLT) solutions to fulfill common needs across DHS missions.
* [Factom Inc. Wins Contract Award from the Department of Homeland Security: Preventing Forgery & Counterfeiting](https://www.factom.com/company-updates/factom-inc-wins-contract-award-from-the-department-of-homeland-security-preventing-forgery-counterfeiting/)
  > The Department of Homeland Security (DHS) Science and Technology Directorate’s Silicon Valley Innovation Program (SVIP) has given a performance-based contract award to Factom Inc. The award will be used to develop cross-blockchain technology to help prevent the forgery and counterfeiting of certificates and licenses.
  > 
  > This is Factom’s second DHS SVIP award. The first award was in 2016 focused on using the blockchain to secure data collected by the U.S. Border Patrol’s sensors and cameras against spoofing, deletion or tampering. Factom continues to work with partners to roll out the internet of things (IoT) security technology at production scale.
* [Learning Machine wins DHS Grant to align Blockcerts with the W3C specifications for Verifiable Credentials and Decentralized Identifiers.](https://www.learningmachine.com/future-proof)
  > Today, Learning Machine is proud to announce that we have won Phase-1 funding for our response to the open call “Preventing Forgery & Counterfeiting of Certificates and Licenses through the use of Blockchain and Distributed Ledger Technology.” The purpose of the call was to develop vendor-neutral technology solutions that prevent the forgery and counterfeiting of official records for immigration, travel, visas, and other use cases pertaining to national and citizen security. Our grant application addressed DHS requirements by proposing an upgrade to the Blockcerts open standard, making it capable of issuing W3C Verifiable Credentials.
* [Blockchain interoperability draws attention of DHS science and technology unit](https://www.fedscoop.com/blockchain-svip-dhs-danube-tech/)
  > The group’s Silicon Valley Innovation Program (SVIP) has awarded a contract to the Vienna, Austria-based company Danube Tech GmbH to develop technology that allows for interoperability across blockchains, particularly those that pertain to personal identity. The phase one SVIP contract is worth  $143,478.
* [News Release: DHS Awards $198K for Raw Material Import Tracking Using Blockchain](https://www.dhs.gov/science-and-technology/news/2019/11/08/news-release-dhs-awards-198k-raw-material-import-tracking)
  > S&T is exploring the application of blockchain to issue credentials digitally to enhance security, ensure interoperability and prevent forgery and counterfeiting. Transmute builds identity management solutions that use blockchain technology to streamline and enforce identity authorization. Its Phase 1 award project “Verifiable Provenance, Traceability, and Regulatory Compliance for Raw Material Imports” will adapt Transmute ID, its core technology product that leverages centralized and decentralized identity infrastructures to secure individual agency identities and verifiable credentials to ensure that CBP has visibility into the provenance, traceability and regulatory compliance of raw material imports.

### Illinois

* [illinoisblockchain.tech](https://illinoisblockchain.tech/) 
* [Illinois Partners with Evernym to Launch Birth Registration Pilot](https://illinoisblockchain.tech/illinois-partners-with-evernym-to-launch-birth-registration-pilot-f2668664f67c)
  > August 31, 2017 (Chicago/Salt Lake City) — Today the Illinois Blockchain Initiative announced its partnership with self-sovereign identity solutions leader Evernym, leveraging distributed ledger technology to provide secure digital identity solutions. The concept will augment work from the W3C’s Verifiable Claims Task Force and use the Sovrin Foundation’s distributed identity ledger to create a secure, “self-sovereign” identity for Illinois citizens during the birth registration process.
